<configuration>
	<!-- Module Settings --> 
	<modules>
		<module name="VSAPI">
			<useRCM>true</useRCM>
			<decompressLayer>1</decompressLayer>
			<processAllFile>true</processAllFile>
			<processAllFileInArc>false</processAllFileInArc>
			<extractArc>false</extractArc>
		</module>
		<module name="RCM">
			<enable>true</enable>
		</module>
		<module name="iCRC">
			<enable>false</enable>
			<server>https://10.1.144.204/tmcss/VSAPIInfo?</server>
			<timeout>2000</timeout>
			<!--<server>https://housecall66.trendmicro.com/tmcss/VSAPIInfo?</server>-->
			<proxy>
				<enable>false</enable>				
				<server>proxy.trend.com.tw</server>
				<port>8080</port>
			</proxy>			
		</module>
	</modules>
	<!-- Profile Declaration -->
	<profiles>
		<profile name="Quick" default="true"/>
		<profile name="Full" default="true"/>
		<profile name="Custom" default="false"/>
	</profiles>
	<!-- [Quick Scan Mode] -->
	<profile name="Quick">	
    <!-- Assessment -->
	<enumerator name="Autorun" enable="true" />
  <enumerator name="Process" enable="true" />
	<enumerator name="File" enable="true" recursive="false">				
		<directory>%SystemDrive%</directory>			
		<directory>%SystemRoot%</directory>
		<directory>%SystemRoot%\system</directory>
		<directory>%SystemRoot%\system32</directory>
		<directory>%SystemRoot%\system32\drivers</directory>
		<directory>%TEMP%</directory>
			<!-- 
				Custom Vaiables
				%AllFixedDrive% Ex: C:\ D:\

				Environment Variables
				%SystemDrive% Ex: C:
				%windir%
				%SystemRoot% Ex: C:\Windows
				%TEMP% Ex: C:\Users\Marc\AppData\Local\Temp					
			-->
	</enumerator>
	
	
	<scanner name="Packer" enable="true" altitude="0" />

	<scanner name="Signer" enable="true" altitude="2" />
	<scanner name="VSAPI" enable="true" altitude="1">
		<pattern>lpt$vpn.</pattern>			
	</scanner>

	<scanner name="Rootkits" enable="true" altitude="3" />
	 
	<!--
	<scanner name="Forensic" enable="true" altitude="4" />-->
    <!-- Clean -->
    <cleaner name="Process" enable="true" altitude="1" />
    <cleaner name="VSAPI" enable="true" altitude="2" />
    <cleaner name="TSC" enable="true" altitude="3" />    
	<cleaner name="File" enable="true" altitude="4" />
	</profile>
	<!-- [Full Scan Mode] -->
	<profile name="Full">
		<!-- Assessment -->
		<enumerator name="Autorun" enable="true" />
		<enumerator name="Process" enable="true" />
		<enumerator name="File" enable="true" recursive="true">
		<directory>%SystemDrive%</directory>      
		<!-- 
					Environment Variables
					%SystemDrive% Ex: C:
					%windir%
					%SystemRoot% Ex: C:\Windows
					%TEMP% Ex: C:\Users\Marc\AppData\Local\Temp					
		-->
		</enumerator>
		<!-- Scan -->
		<scanner name="VSAPI" enable="true" altitude="1" />
		<!-- Clean -->
		<cleaner name="Process" enable="true" altitude="1" />
		<cleaner name="VSAPI" enable="true" altitude="2" />
		<cleaner name="TSC" enable="true" altitude="3" />
		<cleaner name="File" enable="true" altitude="4" />
	</profile>
</configuration>
